#import "EventHandler.h"

@implementation EventHandler

- (IBAction)handleInput:(id)sender
{
	[inputString setString:[[textField stringValue] uppercaseString]];
	[textField setStringValue:@""];
	if ([inputString length] > 0)
	{
		[self pOutput:@"this text prints, as it was called from handleInput"];
		[self pOutput:@"\n"];
		[roomCode wayStation];
	}
}

- (void)pOutput:(NSString *)outputString
{
	NSRange selectionRange = NSMakeRange([[textView textStorage] length], 0);
	[textView setEditable:YES];
	[textView setSelectedRange:selectionRange];
	[textView insertText:outputString];
	[textView setEditable:NO];
}

- (NSTextView *)textView
{
	return textView;
}

@end
